Bug 1138758 - sudo with sssd/ldap doesn't work with 'insults' in sudoOption entry
Summary: sudo with sssd/ldap doesn't work with 'insults' in sudoOption entry
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sudo
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Daniel Kopeček
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 1138765
TreeView+ depends on / blocked
 
Reported: 2014-09-05 15:02 UTC by David Spurek
Modified: 2018-04-18 20:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1138765 1332401 1569227 (view as bug list)
Environment:
Last Closed: 2015-02-24 14:12:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Spurek 2014-09-05 15:02:46 UTC
Description of problem:
sudo with sssd/ldap doesn't work with 'insults' in sudoOption entry.

dn: cn=defaults,ou=Sudoers,dc=my-domain,dc=com
objectClass: top
objectClass: sudoRole
sudoOption: !requiretty
sudoOption: authenticate
sudoOption: insults
cn: defaults

dn: cn=rule1,ou=Sudoers,dc=my-domain,dc=com
objectClass: top
objectClass: sudoRole
cn: rule1
sudoUser: userallowed
sudoCommand: ALL
sudoHost: ALL
sudoHost: test.example.com

[test]su - userallowed
Last login: Fri Sep  5 10:44:49 EDT 2014 on pts/0
su: warning: cannot change directory to /home/userallowed: No such file or directory
-bash-4.2$ sudo true
[sudo] password for userallowed: 
Sorry, try again.


Should should print some 'insults' instead of 'Sorry, try again.' Some examples are here: http://www.cnx-software.com/2012/06/05/how-to-let-sudo-insult-you-when-you-type-the-wrong-password/

This option looks like 'for fun' for me but we have this option in man page and it should work.

Version-Release number of selected component (if applicable):
sudo-1.8.6p7-11.el7

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Daniel Kopeček 2015-02-24 14:12:17 UTC
This is because we don't configure sudo to include insults at compile time:

configure:4994: checking whether to include insults
configure:5021: result: no

This is fixable by using --with-insults=yes. Do we really need this? I don't think so, since there's no customer case attached to this BZ... If there will be demand for this feature, we can easily fix it. Closing for now.

Comment 2 David Spurek 2015-02-24 14:16:51 UTC
Ok, so what about remove this option from man page?

Comment 3 Daniel Kopeček 2015-02-24 14:24:34 UTC
Probably not worth the effort, there are more serious bugs to work on. The option is there and it's accepted by sudo, there are just no insults in the database. Maybe some of our customers will read the man page, see the option there, and file a BZ demanding some insults to be included... If we hide it, they may never discover this cool option.

But if you insist, I'll fix it either way :]

Comment 4 Leonardo Dias 2018-04-18 20:09:53 UTC
(In reply to Daniel Kopeček from comment #3)
> Probably not worth the effort, there are more serious bugs to work on. The
> option is there and it's accepted by sudo, there are just no insults in the
> database. Maybe some of our customers will read the man page, see the option
> there, and file a BZ demanding some insults to be included... If we hide it,
> they may never discover this cool option.
> 
> But if you insist, I'll fix it either way :]

I need this very much. doing Please !!


Note You need to log in before you can comment on or make changes to this bug.